RZ_SIGN(1)

NAME
RZ_SIGN - rizin signature utility

SYNOPSIS
rz-sign [-acehoqv] [-o outfile] file

DESCRIPTION
rz-sign allows to create and inspect FLIRT code signatures.

-a  Analyze binary after loading it with RzCore and use -AA to run aaaa instead of aaa. Available only together with the o option.

-c  Interpret the input file as a FLIRT signature file and dump the pattern format

-e  Set an evaluable config variable. Available only together with the o option

-h  Show usage help message.

-o file.sig
    Perform an analysis of a binary and generate FLIRT signatures for all functions inside it

-q  Enable quiet mode.

-v  Show version information.

SEE ALSO

rizin(1), rz-find(1), rz-hash(1), rz-bin(1), rz-asm(1), rz-gg(1), rz-run(1), rz-ax(1), rz-diff(1),